Update Access point for a user

POST /internal/admin/comms/v1/location/user/access-point

Operation id: post__internal_admin_comms_v1_location_user_access_point

Tags: User Location

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — User added successfully

Content type: application/json

400 — Bad request

Content type: application/json

404 — Not found

Content type: application/json

500 — Internal server error

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenant_idstringNo
user_loginstringNo
bss_idstringNo
{
  "type": "object",
  "properties": {
    "tenant_id": {
      "type": "string"
    },
    "user_login": {
      "type": "string"
    },
    "bss_id": {
      "type": "string"
    }
  }
}

Response models

200 — User added successfully

Content type: application/json

Schema

PropertyTypeRequiredDescription
user_loginstringNo
bssidstringNo
customer_idintegerNo
site_idstringNo
ap_location_friendly_namestringNo
created_atstring (date-time)No
updated_atstring (date-time)No
{
  "type": "object",
  "properties": {
    "user_login": {
      "type": "string"
    },
    "bssid": {
      "type": "string"
    },
    "customer_id": {
      "type": "integer"
    },
    "site_id": {
      "type": "string"
    },
    "ap_location_friendly_name": {
      "type": "string"
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "updated_at": {
      "type": "string",
      "format": "date-time"
    }
  }
}

400 — Bad request

Content type: application/json

Schema

PropertyTypeRequiredDescription
errorstringNo
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  }
}

404 — Not found

Content type: application/json

Schema

PropertyTypeRequiredDescription
errorstringNo
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  }
}

500 — Internal server error

Content type: application/json

Schema

PropertyTypeRequiredDescription
errorstringNo
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  }
}